<?php

namespace App\Providers;

use App\Models\Client;
use App\Models\Provider;
use App\Models\Schedule;
use App\Observers\ClientObserver;
use App\Observers\ProviderObserver;
use App\Observers\ScheduleObserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * All of the container bindings that should be registered.
     *
     * @var array
     */
    public $bindings = [
        // Add bindings here...
    ];

    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Client::observe(ClientObserver::class);
        Provider::observe(ProviderObserver::class);

        if ($this->app->environment(['local', 'development', 'dev'])) {
            Schedule::observe(ScheduleObserver::class);
        }
    }
}
